%global apiver  1
%global gtk_version 4.17.5
%global glib_version 2.76.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           libadwaita-without-adwaita
Version:        1.7.5
Release:        %autorelease

Summary:        Building blocks for modern GNOME applications
License:        LGPL-2.1-or-later AND MIT
URL:            https://gitlab.gnome.org/GNOME/libadwaita

Source0:        https://download.gnome.org/sources/libadwaita/1.7/libadwaita-%{tarball_version}.tar.xz
Patch0:         theming_patch.diff

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59.0
BuildRequires:  vala
BuildRequires:  /usr/bin/sassc
BuildRequires:  pkgconfig(appstream)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(glib-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version}

Requires:       gtk4 >= 4.17.5

Conflicts:      libadwaita

%description
Building blocks for modern GNOME applications.

%prep
%autosetup %{name}-%{tarball_version}

%build
%meson \
    -Ddocumentation=true \
    %{nil}
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/adwaita-%{apiver}-demo
%{_libdir}/%{name}-%{apiver}.so.0*
%{_libdir}/girepository-1.0/*.typelib

%changelog
%autochangelog
